# Remote Backups

## Backup up a remote source into a local destination

First set up a remote host like the following:

```toml
[remote_hosts.myhost]
# Specify an SSH user@host pair
user_at_host = "backup@myhost.example.com"
# Optional: override path to Datman (may be useful for using one with special privileges)
path_to_datman = "/path/to/datman"
```

And set up a source using the same hostname:

```toml
[sources.mysourcename]
directory = "/path/to/source/on/remote"
hostname = "myhost"
```

*Currently the use of helpers is not possible using this approach, but some of them have direct support for SSH targets.*

*Unimplemented: It would be useful to offload compression onto the remote.*
