pub mod init;
pub mod open;

pub mod check;
pub mod extract;
pub mod scan;
pub mod storing;
pub mod vacuum;

pub mod pile_connector;
pub mod pile_with_cache;

pub mod retriever;

pub const PROGRESS_BAR_STYLE: &'static str =
    "[{elapsed_precise}]/[{eta}] {wide_bar:.cyan/blue} {pos:>7}/{len:7} {msg}";

pub fn get_hostname() -> String {
    hostname::get()
        .expect("No hostname")
        .into_string()
        .expect("Hostname string must be sensible.")
}

pub mod debugging;
