use crate::tree::RootTreeNode;
use serde::{Deserialize, Serialize};
use std::collections::BTreeMap;
use yama_midlevel_crypto::asym_box::AsymBox;
use yama_midlevel_crypto::byte_layer::CborSerde;
use yama_midlevel_crypto::zstd_box::Zstd;

/// Pointer
#[derive(Clone, Debug, Serialize, Deserialize)]
pub struct Pointer {
    pub parent: Option<String>,
    #[serde(flatten)]
    pub root: RootTreeNode,
    pub uids: BTreeMap<u16, String>,
    pub gids: BTreeMap<u16, String>,
}

/// Pointer file as stored on disk
pub type PackedPointer = AsymBox<Zstd<CborSerde<Pointer>>>;
